id: unigui-server-monitor-exposure

info:
  name: UniGUI Server Monitor Panel - Exposure
  author: serrapa
  severity: low
  description: |
    Detects exposed UniGUI Server Monitor Panels which could reveal sensitive server statistics, users sessions, licensing information and others data.
  reference:
    - https://www.unigui.com/doc/online_help/using-server-monitor-(server-c.htm
  metadata:
    verified: true
    max-request: 1
    shodan-query: title:"uniGUI"
    fofa-query: title="uniGUI"
  tags: exposure,unigui,misconfig

http:
  - method: GET
    path:
      - "{{BaseURL}}/server"

    matchers-condition: and
    matchers:
      - type: dsl
        dsl:
          - 'contains_any(body, "uniGUI Standalone Server", "uniGUI License Information", "Server Statistics")'
          - 'status_code == 200'
        condition: and

      - type: dsl
        dsl:
          - 'contains(body, "layout:\"fit\",title:\"uniGUI Standalone Server\"")'
          - 'contains(body, "layout:\"absolute\",title:\"Server Statistics\"")'
        condition: or
# digest: 4b0a00483046022100dee627f123b491abc5fbe14a00469391aa264ebf83e15fbec1016335d2ff002a022100d3dfc5c8f95f9c9ce70d7feee5a8dd7524b0295ec666f2081702d889a3d025d2:922c64590222798bb761d5b6d8e72950